<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Bill </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Detail Tagihan Mahasiswa</h3>
                            </div>
                            <div class="col text-right">
                                <button th:if="${message == null && tagihan.lunas == false}" type="button" class="btn btn-info btn-sm" data-toggle="modal" title="Kirim Ulang" data-target="#modal-kirimulang">
                                    <i class="fa fa-paper-plane"></i> Kirim ulang tagihan
                                </button>
                                <div class="modal fade" id="modal-kirimulang" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                    <div class="modal-dialog model-info modal-dialog-centered modal-" role="document">
                                        <div class="modal-content bg-gradient-info">

                                            <div class="modal-header">
                                                <h6 class="modal-title text-white" id="modal-title-notification">Your attention is required</h6>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>

                                            <div class="modal-body">

                                                <div class="py-3 text-center">
                                                    <i class="far fa-paper-plane fa-3x text-white"></i>
                                                    <h4 class="heading mt-4 text-white">Kirim ulang tagihan</h4>
                                                    <b class="text-white">Pastikan tagihan <span th:text="${tagihan.nilaiJenisTagihan.jenisTagihan.nama}"></span> a.n <span th:text="${tagihan.mahasiswa.nama}"></span> sudah dihapus di aplikasi tagihan!</b>
                                                </div>

                                            </div>

                                            <div class="modal-footer">
                                                <form method="post" th:action="@{/studentBill/billAdmin/resendTagihan}">
                                                    <input type="hidden" name="tagihan" th:value="${tagihan.id}">
                                                    <button type="submit" class="btn btn-secondary">Kirim</button>
                                                </form>
                                                <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Close</button>
                                            </div>

                                        </div>
                                    </div>
                                </div>

                                <a th:href="@{/studentBill/billAdmin/list(tahunAkademik = ${tagihan.tahunAkademik.id}, nim = ${tagihan.mahasiswa.nim})}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-shadow">
                            <div class="row">
                                <div class="col-md-6">
                                  <address>
                                      <div class="table-responsive">
                                          <table class="table align-items-center table-flush">
                                              <tr style="font-weight: bold">
                                                  <td>Nomor Tagihan</td>
                                                  <td> : </td>
                                                  <td th:text="${tagihan.nomor}">1222200085944</td>
                                              </tr>
                                              <tr>
                                                  <td>Nama</td>
                                                  <td> : </td>
                                                  <td th:text="${tagihan.mahasiswa.nama}"></td>
                                              </tr>
                                              <tr>
                                                  <td>Jenis Tagihan</td>
                                                  <td> : </td>
                                                  <td th:text="${tagihan.nilaiJenisTagihan.jenisTagihan.nama}"></td>
                                              </tr>
                                              <tr>
                                                  <td>Program Studi</td>
                                                  <td> : </td>
                                                  <td th:text="${tagihan.mahasiswa.idProdi.namaProdi}"></td>
                                              </tr>
                                              <tr>
                                                  <td>Nilai Tagihan</td>
                                                  <td> : </td>
                                                  <td th:text="${'Rp. ' + #numbers.formatDecimal(tagihan.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}"></td>
                                              </tr>
                                              <tr th:if="${cekCicilan != null}">
                                                  <td>Pembayaran</td>
                                                  <td> : </td>
                                                  <td th:text="${'Rp. ' + #numbers.formatDecimal(tagihan.akumulasiPembayaran, 0, 'POINT', 2, 'COMMA')}"></td>
                                              </tr>
                                              <tr th:if="${cekCicilan != null}">
                                                  <td>Status Cicilan</td>
                                                  <td> : </td>
                                                  <td ><a class="btn btn-success btn-sm text-white">APPROVED</a></td>
                                              </tr>
                                              <tr>
                                                  <td>Tanggal Pembuatan</td>
                                                  <td> : </td>
                                                  <td th:text="${tagihan.tanggalPembuatan}"></td>
                                              </tr>
                                              <tr>
                                                  <td>Tanggal Jatuh Tempo</td>
                                                  <td> : </td>
                                                  <td th:text="${tagihan.tanggalJatuhTempo}"></td>
                                              </tr>
                                              <tr>
                                                  <td>Status Pembayaran</td>
                                                  <td> : </td>
                                                  <td th:if="${tagihan.lunas} == false">Belum lunas</td>
                                                  <td th:if="${tagihan.lunas} == true">Lunas</td>
                                              </tr>
                                          </table>
                                      </div>
                                  </address>
                                </div>
                                <div class="col-md-6" th:if="${message != null}">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h2 class="mb-0">Keterangan Cicilan</h2>
                                        </div>
                                        <div class="col text-right">
                                            <button th:if="${message != null && tagihan.lunas == false}" type="button" class="btn btn-info btn-sm" data-toggle="modal" title="Kirim Ulang" data-target="#modal-kirimulang">
                                                <i class="fa fa-paper-plane"></i> Kirim ulang tagihan
                                            </button>
                                            <button th:if="${cekJumlahCicilan > 1}" type="button" class="btn btn-primary btn-sm" data-toggle="modal" title="Hapus" data-target="#modal-pelunasan">
                                                <i class="fa fa-money-bill-wave"></i> Pelunasan
                                            </button>
                                        </div>
                                    </div>

                                    <div class="modal fade" id="modal-pelunasan" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                        <div class="modal-dialog modal-primary modal-dialog-centered modal-" role="document">
                                            <div class="modal-content bg-gradient-primary">

                                                <div class="modal-header">
                                                    <h6 class="modal-title" id="modal-title-notification">Your attention is required</h6>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>

                                                <div class="modal-body">

                                                    <div class="py-3 text-center">
                                                        <i class="fa fa-money-bill-wave fa-3x"></i>
                                                        <h4 class="heading mt-4">Yakin ?</h4>
                                                        <p>Total tagihan yang akan dikirim adalah <b th:text="${'Rp. ' + #numbers.formatDecimal(sisaCicilan, 0, 'POINT', 2, 'COMMA')}"></b></p>
                                                    </div>

                                                </div>

                                                <div class="modal-footer">
                                                    <form method="post" th:action="@{/studentBill/cicilan/pelunasan}">
                                                        <input type="hidden" name="tagihan" th:value="${tagihan.id}">
                                                        <input type="hidden" name="nilaiCicilan" th:value="${sisaCicilan}">
                                                        <button type="submit" class="btn btn-secondary">Submit</button>
                                                    </form>
                                                    <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Close</button>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table table-flush table-hovered">
                                            <thead class="thead-light">
                                            <tr>
                                                <th>#</th>
                                                <th>Tanggal Jatuh Tempo</th>
                                                <th>Nilai Cicilan</th>
                                                <th>Status Tagihan</th>
                                                <th>Status Pembayaran</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="data, row:${cicilan}">
                                                <td th:text="${(row.index + 1)}"></td>
                                                <td th:text="${data.tanggalJatuhTempo}"></td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.nilaiCicilan, 0, 'POINT', 2, 'COMMA')}"></td>
                                                <td >
                                                    <a  class="btn btn-primary btn-sm text-white"
                                                        th:if="${data.statusApprove.WAITING} == ${data.statusApprove}"
                                                        th:text="${data.statusApprove}">
                                                    </a>
                                                    <a  class="btn btn-success btn-sm text-white"
                                                        th:if="${data.statusApprove.APPROVED} == ${data.statusApprove}"
                                                        th:text="${data.statusApprove}">
                                                    </a>
                                                </td>
                                                <td th:if="${message != null}">
                                                    <a  class="btn btn-primary btn-sm text-white"
                                                        th:if="${data.statusCicilan.CICILAN} == ${data.statusCicilan}"
                                                        th:text="${data.statusCicilan}">
                                                    </a>
                                                    <a  class="btn btn-warning btn-sm text-white"
                                                        th:if="${data.statusCicilan.SEDANG_DITAGIHKAN} == ${data.statusCicilan}"
                                                        th:text="${data.statusCicilan}">
                                                    </a>
                                                    <a  class="btn btn-success btn-sm text-white"
                                                        th:if="${data.statusCicilan.LUNAS} == ${data.statusCicilan}"
                                                        th:text="${data.statusCicilan}">
                                                    </a>
                                                    <a  class="btn btn-danger btn-sm text-white"
                                                        th:if="${data.statusCicilan.LEWAT_JATUH_TEMPO} == ${data.statusCicilan}"
                                                        th:text="${data.statusCicilan}">
                                                    </a>
                                                    <a  class="btn btn-danger btn-sm text-white"
                                                        th:if="${data.statusCicilan.BATAL_CICIL} == ${data.statusCicilan}"
                                                        th:text="${data.statusCicilan}">
                                                    </a>
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>

                            <div class="row mt-4">
                                <div class="col-md-12" th:if="${cekCicilan != null}">
                                    <h4>Daftar Pembayaran</h4>
                                    <div class="table-responsive">
                                        <table class="table align-items-center table-flush">
                                            <thead class="thead-light">
                                            <tr>
                                                <th>#</th>
                                                <th>Pembayaran</th>
                                                <th>Bank</th>
                                                <th>Nomor Rekening</th>
                                                <th>Referensi</th>
                                                <th>Nilai Pembayaran</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="data, row : ${detailPembayaran}">
                                                <td th:text="${(row.index + 1)}">1</td>
                                                <td th:text="${data.waktuBayar}">2021-03-04 06:55:00</td>
                                                <td th:text="${data.bank.nama}"></td>
                                                <td th:text="${data.nomorRekening}"></td>
                                                <td th:text="${data.referensi}"></td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.amount, 0, 'POINT', 2, 'COMMA')}"></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>

                            <div class="row" th:if="${tagihan} != null">
                                <div class="col-sm-7" th:if="${cekCicilan == null}">
                                    <h4>Nomor Virtual Account</h4>
                                    <small th:if="${pembayaran} == null">*Pilih Salah Satu</small>
                                    <div class="table-responsive">
                                        <table class="table">
                                            <tbody>
                                            <tr th:each="va, row:${virtualAccount}">
                                                <td th:text="${'Virtual Account '+va.bank.nama}">Virtual Account CIMB Syariah</td>
                                                <th th:text="${va.nomor}">20191000010020167</th>
                                            </tr>
                                            <div th:if="${cekJumlahPembayaran == 1}">
                                                <tr th:if="${pembayaran} != null and ${pembayaran.bank} == ${va.bank}" th:each="va, row : ${virtualAccount}">
                                                    <td th:text="${(row.index + 1) + (virtualAccount.number * virtualAccount.size)}">#</td>
                                                    <td th:text="${'Virtual Account '+va.bank.nama}" th:if="${pembayaran.bank} == ${va.bank}">Virtual Account CIMB Syariah</td>
                                                    <th th:text="${va.nomor}" th:if="${pembayaran.bank} == ${va.bank}">20191000010020167</th>
                                                </tr>
                                            </div>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>